﻿@model PROJETMODELE.Models.VML.TP.Type_DepenseVM
@{
    Layout = null;
}
<script src="~/Scripts/AjouterJS.js"></script>
<div id="formulaire" style="width:390px">
    <div>Ajout</div>
  <div class="forms">
            @using (Html.BeginForm()) {
            @Html.AntiForgeryToken()
            @Html.ValidationSummary(true)
            <table>
               
                
                <tr> 
                     <td> @Html.LabelFor(model => model.Libelle)</td>
                     <td>  @Html.EditorFor(model => model.Libelle)</td>
                </tr> 
                 
                             
             </table>
               <br/>
           <p >
             <button title="Valider"  type="submit" id="jqxButton" class="btn btn-default oufbutton send"><i class="ouf-ok"></i> Valider</button>
            <button title="Annuler"  type="button" id="jqxAnnuler" class="btn btn-default oufbutton fannul"><i class="ouf-cancel"></i> Annuler</button>
        </p>
            }
</div>
</div> 
<script>
    $('#formulaire').jqxValidator({
        rules: [
            
            { input: '#Libelle', message: 'Ce champs est obligatoire', action: 'keyup, blur', rule: 'required' },
            { input: '#Libelle', message: 'Le libelle doit contenir entre 1 et 50 caractères!', action: 'keyup, blur', rule: 'length=1,50' },
          
        ],
    });
    $("#Libelle").jqxInput({ placeHolder: "Libelle ... ", height: 25, width: 280, theme: "ui-redmond" }); 
  
  </script>